summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2013-11-10 12:21:46 +0100
committer Robby Workman <rworkman@slackbuilds.org>2013-11-11 10:51:51 -0600
commit88b86d40634bcbd2e724e53c175b5d398b3a8e87 (patch)
treec737433fd206c16d08828ce5509fb749f7e42235
parent45ec4c0f5d165472aff4dcd31f95c3a2039a61e8 (diff)
downloadslackbuilds-88b86d40634bcbd2e724e53c175b5d398b3a8e87.tar.gz
slackbuilds-88b86d40634bcbd2e724e53c175b5d398b3a8e87.tar.xz
libraries/libdbus-c++: Added. (C++ API for D-BUS)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
-rw-r--r--libraries/libdbus-c++/README3
-rw-r--r--libraries/libdbus-c++/gcc47.patch10
-rw-r--r--libraries/libdbus-c++/libdbus-c++.SlackBuild95
-rw-r--r--libraries/libdbus-c++/libdbus-c++.info10
-rw-r--r--libraries/libdbus-c++/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/libraries/libdbus-c++/README b/libraries/libdbus-c++/README
new file mode 100644
index 0000000000..5938d40c8c
--- /dev/null
+++ b/libraries/libdbus-c++/README
@@ -0,0 +1,3 @@
+DBus-c++ attempts to provide a C++ API for D-BUS. The library has a
+glib and an Ecore mainloop integration. It also offers an optional
+own main loop.
diff --git a/libraries/libdbus-c++/gcc47.patch b/libraries/libdbus-c++/gcc47.patch
new file mode 100644
index 0000000000..6a82773006
--- /dev/null
+++ b/libraries/libdbus-c++/gcc47.patch
@@ -0,0 +1,10 @@
+--- src/eventloop-integration.cpp.orig 2012-05-09 11:22:09.683290763 +0200
++++ src/eventloop-integration.cpp 2012-05-09 11:22:44.313288912 +0200
+@@ -38,6 +38,7 @@
+ #include <cassert>
+ #include <sys/poll.h>
+ #include <fcntl.h>
++#include <unistd.h>
+
+ using namespace DBus;
+ using namespace std;
diff --git a/libraries/libdbus-c++/libdbus-c++.SlackBuild b/libraries/libdbus-c++/libdbus-c++.SlackBuild
new file mode 100644
index 0000000000..d65687f9f0
--- /dev/null
+++ b/libraries/libdbus-c++/libdbus-c++.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for libdbus-c++
+
+# Copyright 2013 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libdbus-c++
+VERSION=0.9.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+patch -p0 -i $CWD/gcc47.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --disable-ecore \
+ --disable-examples \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libdbus-c++/libdbus-c++.info b/libraries/libdbus-c++/libdbus-c++.info
new file mode 100644
index 0000000000..df6ec8de77
--- /dev/null
+++ b/libraries/libdbus-c++/libdbus-c++.info
@@ -0,0 +1,10 @@
+PRGNAM="libdbus-c++"
+VERSION="0.9.0"
+HOMEPAGE="http://dbus-cplusplus.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/dbus-cplusplus/libdbus-c++-0.9.0.tar.gz"
+MD5SUM="e752116f523fa88ef041e63d3dee4de2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
diff --git a/libraries/libdbus-c++/slack-desc b/libraries/libdbus-c++/slack-desc
new file mode 100644
index 0000000000..cf1479ded9
--- /dev/null
+++ b/libraries/libdbus-c++/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libdbus-c++: libdbus-c++ (C++ API for D-BUS)
+libdbus-c++:
+libdbus-c++: DBus-c++ attempts to provide a C++ API for D-BUS. The library has a
+libdbus-c++: glib and an Ecore mainloop integration. It also offers an optional
+libdbus-c++: own main loop.
+libdbus-c++:
+libdbus-c++: Homepage: http://dbus-cplusplus.sourceforge.net/
+libdbus-c++:
+libdbus-c++:
+libdbus-c++:
+libdbus-c++: